Spetnik's C++ Compiler Shell 3.0

Spetnik's C++ Compiler Shell

Thank you for downloading Spetnik's C++ Compiler Shell Version 3.0. This program is a GUI for the Borland C++ Builder 5.5 available for download at http://www.inprise.com/bcppbuilder/freecompiler/cppc55steps.html. The program must be installed in the bin directory of the borland compiler where the file "bcc32.exe" is located (usually "C:\Borland\BCC55\Bin" ).

Alot of work and effort has gone into the production of this program, and it would have definitely not been possible to create it without the constant user feedback. Please continue to submit your feedback by visiting Spetnik's VB Site at http://spetnik.tripod.com and filling out the feedback form.

Thanks to all, and good luck!

Aaron J Spetner
Spetnik's VB Site http://spetnik.tripod.com


Compiling Your Program

Spetnik's C++ Compiler Shell inputs the filenames you specify and sends them along with any other options to the Borland compiler. The compiler runs along with the linker in a seperate DOS window which should close automatically. Output from the compiler and linker is then redirected to the "Results" box. This way, you can see any errors from your program.

To begin compiling, enter the path and filename of the file to be compiled into the "Input Filename" box (you may also select it by using the browse button to the right). In the same manner, you must select the output file to be created, but if you wish, the shell can create a default output filename based on the input filename (to enable this feature, check the box labeled "Use default output filename"). If you would only like to create an object file, check the box labeled, "Create object file only" (ensure that the output file has a ".obj" extension). Now, you can compile your program by clicking the "Start Compilation" button. While the program compiles in the background, the "Start Compilation" button will read "Waiting for DOS window to be closed". When compilation completes, the button will once again read "Start Compilation", and the results should be displayed in the "Results" box. Should for some reason, compilation never finish, check the open DOS window. If the window title reads "Finished", then you must manually close this window before the shell completes the compilation.


Additional Options

The Borland C++ Builder provides a variety of options for the advanced user. These options can be implemented by clicking "Tools" and then "Options" from the menu bar. In order to type in options, check the box, "Use extra options:". Then, you may type in any of the available command-line arguments for the compiler. WARNING! USE OF EXTRA OPTIONS MAY PROVIDE UNWANTED RESULTS. USE AT YOUR OWN RISK!

Here are the arguments available for "bcc32.exe":
-3 * 80386 Instructions | -4 80486 Instructions
-5 Pentium Instructions | -6 Pentium Pro Instructions
-Ax Disable extensions | -B Compile via assembly
-C Allow nested comments | -Dxxx Define macro
-Exxx Alternate Assembler name | -Hxxx Use pre-compiled headers
-Ixxx Include files directory | -K Default char is unsigned
-Lxxx Libraries directory | -M Generate link map
-N Check stack overflow | -Ox Optimizations
-P Force C++ compile | -R Produce browser info
-RT * Generate RTTI | -S Produce assembly output
-Txxx Set assembler option | -Uxxx Undefine macro
-Vx Virtual table control | -X Suppress autodep. output
-aN Align on N bytes | -b * Treat enums as integers
-c Compile only | -d Merge duplicate strings
-exxx Executable file name | -fxx Floating point options
-gN Stop after N warnings | -iN Max. identifier length
-jN Stop after N errors | -k * Standard stack frame
-lx Set linker option | -nxxx Output file directory
-oxxx Object file name | -p Pascal calls
-tWxxx Create Windows app | -u * Underscores on externs
-v Source level debugging | -wxxx Warning control
-xxxx Exception handling | -y Produce line number info
-zxxx Set segment names |